import request from '@/helpers/request';

/** 获取省市区 */
export const api_sysAreaQueryAllProvince = (): Promise<any> => {
  return request.get('/edu-app/open/sysArea/queryAllProvince');
};
/** 新增学校 */
export const api_schoolAdd = (params: any): Promise<any> => {
  return request.post('/edu-app/open/school/add', {
    data: params
  });
};
/** 更新学校 */
export const api_schoolSave = (params: any): Promise<any> => {
  return request.post('/edu-app/open/school/save', {
    data: params
  });
};
/** 发送验证码 */
export const api_openSendSms = (params: any): Promise<any> => {
  return request.post('/edu-app/open/sendSms', {
    data: params,
    requestType: 'form',
  });
};
